## cipux-rpc-client 3.4.0.6

=== debian/changelog ===
cipux-rpc-client (3.4.0.6-1) unstable; urgency=low

  * Initial release (related to - but only partly closes - bug#357694).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 26 Apr 2010 12:39:32 +0200
