=== debian/control ===
Source: cipux-rpc-client
Section: perl
Priority: optional
Maintainer: CipUX team <cipux-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>, Christian Kuelker <christian.kuelker@cipworx.org>, Xavier Oswald <xoswald@debian.org>
Build-Depends: devscripts (>= 2.10.7~),
 dh-buildinfo,
 perl,
 perl-modules (>= 5.10.0) | libmodule-build-perl (>= 0.2808),
 cdbs (>= 0.4.78~),
 debhelper (>= 6),
 libclass-std-perl (>= 0.0.9),
 libcipux-perl (>= 3.4.0.0),
 libfrontier-rpc-perl,
 liblog-log4perl-perl,
 libreadonly-perl,
 libversion-perl,
 libmodule-build-cipux-perl (>= 0.4.0),
 libfile-spec-perl,
 perl-modules (>= 5.10.0-19) | libtest-simple-perl,
 libtest-perl-critic-perl,
 libtest-pod-perl (>= 1.14),
 libtest-pod-coverage-perl (>= 1.04)
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/collab-maint/cipux-rpc-client.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/cipux-rpc-client.git;a=summary
Homepage: http://www.cipux.org/

Package: libcipux-rpc-client-perl
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, ${cdbs:Depends}
Recommends: ${cdbs:Recommends}
Description: base class for CipUX XML-RPC clients
 CipUX is a modular framework for information abstraction and
 administration, primarily aimed at administration of users, groups and
 organisational resources stored in a central LDAP database.
 .
 This package contains CipUX::RPC::Client, providing routines for use
 with CipUX XML-RPC clients.
