=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright 2010, Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for CipUX::RPC::Client
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/perl-build.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg_lib = libcipux-rpc-client-perl

DEB_UPSTREAM_PACKAGE = cipux-rpc-client
DEB_UPSTREAM_URL = http://release.cipux.org
DEB_UPSTREAM_TARBALL_MD5 = a35bd4324bfeef3e951eb5358a75e587

# Needed both by upstream build (or test) process and at runtime
# libcipux-object-perl 3.4.0.2 (not only 3.4.0.0) needed due to broken testsuite
# TODO: Drop libversion-perl after Lenny+1
common-depends = libclass-std-perl (>= 0.0.9), libcipux-perl (>= 3.4.0.0), libfrontier-rpc-perl, liblog-log4perl-perl, libreadonly-perl, libversion-perl
CDBS_DEPENDS_$(pkg_lib) = $(common-depends)
CDBS_BUILD_DEPENDS += , $(common-depends)

# Needed by upstream build process
CDBS_BUILD_DEPENDS += , libmodule-build-cipux-perl (>= 0.4.0)

# Needed by upstream tests
CDBS_BUILD_DEPENDS += , libfile-spec-perl, perl-modules (>= 5.10.0-19) | libtest-simple-perl, libtest-perl-critic-perl, libtest-pod-perl (>= 1.14), libtest-pod-coverage-perl (>= 1.04)

# Needed (often) at runtime
CDBS_RECOMMENDS_$(pkg_lib) = libreadonly-xs-perl
