## cipux-rpc-client 3.4.0.7

=== debian/changelog ===
cipux-rpc-client (3.4.0.7-2) unstable; urgency=low

  * Improve package relations:
    + Drop relations for packages part of core Perl even in oldstable:
      - libversion-perl
      - libtest-simple-perl
    + Relax to unversioned relations when satisfied even in oldstable:
      - libclass-std-perl
      - libtest-pod-perl
      - libtest-pod-coverage-perl
    + Drop TODO file: Obsoleted by above.
  * Update copyright file:
    + Rewrite using draft 174 of DEP-5 format.
    + Fix use initial wildcard Files section.
    + Rewrap license fields at 72 chars, and shorten comments.
  * Bump policy compliance to standards-version 3.9.2.
  * Wrap Uploaders field in control file.
  * Bump debhelper compatibility level to 7 (satisfied even in
    oldstable, and cdbs need backporting for oldstable anyway).
    Tighten build-dependencies on debhelper and cdbs correspondingly.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 05 May 2011 11:28:19 +0200

cipux-rpc-client (3.4.0.7-1) unstable; urgency=low

  * New upstream release.
  * Bump Policy compliance to standards-version 3.9.1.
  * Fix capitalization of upstream tarball for get-orig-source build
    target.
  * Stop build-depending on libmodule-build-cipux-perl.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 29 Jul 2010 17:47:53 +0200
